Linux ih01.iridiumhosting.com 5.14.0-611.5.1.el9_7.x86_64 #1 SMP PREEMPT_DYNAMIC Tue Nov 11 08:09:09 EST 2025 x86_64
LiteSpeed
Server IP : 67.227.241.211 & Your IP : 216.73.216.226
Domains :
Cant Read [ /etc/named.conf ]
User : dustinhy
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
opt /
MXB /
rear /
usr /
share /
rear /
lib /
Delete
Unzip
Name
Size
Permission
Date
Action
validated
[ DIR ]
drwxr-xr-x
2026-04-01 09:39
_framework-setup-and-functions.sh
111.2
KB
-rw-r--r--
2026-04-01 09:39
array-functions.sh
1.08
KB
-rw-r--r--
2026-04-01 09:39
authtoken-functions.sh
16.84
KB
-rw-r--r--
2026-04-01 09:39
bareos-functions.sh
10.3
KB
-rw-r--r--
2026-04-01 09:39
bootloader-functions.sh
43.74
KB
-rw-r--r--
2026-04-01 09:39
borg-functions.sh
6.9
KB
-rw-r--r--
2026-04-01 09:39
checkintegrity-workflow.sh
385
B
-rw-r--r--
2026-04-01 09:39
checklayout-workflow.sh
646
B
-rw-r--r--
2026-04-01 09:39
columns-functions.sh
2.95
KB
-rw-r--r--
2026-04-01 09:39
config-functions.sh
7.88
KB
-rw-r--r--
2026-04-01 09:39
cove-functions.sh
2.61
KB
-rw-r--r--
2026-04-01 09:39
drlm-functions.sh
2.6
KB
-rw-r--r--
2026-04-01 09:39
dump-workflow.sh
7.63
KB
-rw-r--r--
2026-04-01 09:39
filesystems-functions.sh
12.08
KB
-rw-r--r--
2026-04-01 09:39
finalizeonly-workflow.sh
1.22
KB
-rw-r--r--
2026-04-01 09:39
format-workflow.sh
3.79
KB
-rw-r--r--
2026-04-01 09:39
global-functions.sh
49.92
KB
-rw-r--r--
2026-04-01 09:39
help-workflow.sh
3.6
KB
-rw-r--r--
2026-04-01 09:39
hp_raid-functions.sh
871
B
-rw-r--r--
2026-04-01 09:39
layout-functions.sh
64.96
KB
-rw-r--r--
2026-04-01 09:39
layoutonly-workflow.sh
803
B
-rw-r--r--
2026-04-01 09:39
linux-functions.sh
14.6
KB
-rw-r--r--
2026-04-01 09:39
mail-functions.sh
1.39
KB
-rw-r--r--
2026-04-01 09:39
mkbackup-workflow.sh
585
B
-rw-r--r--
2026-04-01 09:39
mkbackuponly-workflow.sh
368
B
-rw-r--r--
2026-04-01 09:39
mkboot-workflow.sh
1.13
KB
-rw-r--r--
2026-04-01 09:39
mkopalpba-workflow.sh
890
B
-rw-r--r--
2026-04-01 09:39
mkrescue-functions.sh
5.72
KB
-rw-r--r--
2026-04-01 09:39
mkrescue-workflow.sh
461
B
-rw-r--r--
2026-04-01 09:39
mksystemstate-workflow.sh
539
B
-rw-r--r--
2026-04-01 09:39
mountonly-workflow.sh
1.7
KB
-rw-r--r--
2026-04-01 09:39
network-functions.sh
8.53
KB
-rw-r--r--
2026-04-01 09:39
opal-functions.sh
15.67
KB
-rw-r--r--
2026-04-01 09:39
opaladmin-workflow.sh
18.37
KB
-rw-r--r--
2026-04-01 09:39
output-functions.sh
3.17
KB
-rw-r--r--
2026-04-01 09:39
progresssubsystem.nosh
2.32
KB
-rw-r--r--
2026-04-01 09:39
rear-shell.bashrc
2.68
KB
-rw-r--r--
2026-04-01 09:39
recover-workflow.sh
1.59
KB
-rw-r--r--
2026-04-01 09:39
restoreonly-workflow.sh
832
B
-rw-r--r--
2026-04-01 09:39
rsync-functions.sh
4.56
KB
-rw-r--r--
2026-04-01 09:39
savelayout-workflow.sh
643
B
-rw-r--r--
2026-04-01 09:39
serial-functions.sh
3.98
KB
-rw-r--r--
2026-04-01 09:39
sesam-functions.sh
1.18
KB
-rw-r--r--
2026-04-01 09:39
shell-workflow.sh
648
B
-rw-r--r--
2026-04-01 09:39
tpmpwd-functions.sh
625
B
-rw-r--r--
2026-04-01 09:39
udev-workflow.sh
3.27
KB
-rw-r--r--
2026-04-01 09:39
uefi-functions.sh
9.69
KB
-rw-r--r--
2026-04-01 09:39
validate-workflow.sh
4.91
KB
-rw-r--r--
2026-04-01 09:39
write-protect-functions.sh
7.75
KB
-rw-r--r--
2026-04-01 09:39
Save
Rename
# Get available serial devices: function get_serial_console_devices () { # Via SERIAL_CONSOLE_DEVICES the user specifies which ones to use (and no others): if test "$SERIAL_CONSOLE_DEVICES" ; then echo $SERIAL_CONSOLE_DEVICES return 0 fi # Scan the kernel command line of the currently running original system # for 'console=<device>[,<options>]' settings e.g. 'console=ttyS1,9600n8 ... console=ttyS3 ... console=tty0' # and extract the specified serial device nodes e.g. ttyS1 -> /dev/ttyS1 ... ttyS3 -> /dev/ttyS3 local kernel_option console_option_value console_option_device for kernel_option in $( cat /proc/cmdline ) ; do # Continue with next kernel option when the option name (part before leftmost "=") is not 'console': test "${kernel_option%%=*}" = "console" || continue # Get the console option value (part after leftmost "=") e.g. 'ttyS1,9600n8' 'ttyS3' 'tty0' console_option_value="${kernel_option#*=}" # Get the console option device (part before leftmost optional ',' separator) e.g. 'ttyS1' 'ttyS3' 'tty0' console_option_device="${console_option_value%%,*}" # Continue with next kernel option when the current console option device is no serial device (exclude 'tty0'). # The special /dev/hvsi* devices should exist only on systems that have the HVSI driver loaded # (a console driver for IBM's p5 servers) cf. https://lwn.net/Articles/98442/ [[ $console_option_device == ttyS* ]] || [[ $console_option_device == hvsi* ]] || continue # Test that the matching serial device node e.g. ttyS1 -> /dev/ttyS1 and ttyS3 -> /dev/ttyS3' exists # to avoid that this automated serial console setup may not work in the ReaR recovery system # when serial device nodes get specified for the recovery system that do not exist # in the currently running original system because the default assumption is # that the replacement system has same hardware as the original system, # cf. https://github.com/rear/rear/pull/2749#issuecomment-1196650631 # (if needed the user can specify what he wants via SERIAL_CONSOLE_DEVICES, see above): if ! test -c "/dev/$console_option_device" ; then LogPrintError "Found '$kernel_option' in /proc/cmdline but '/dev/$console_option_device' is no character device" continue fi echo /dev/$console_option_device done } # Get the serial device speed for those device nodes that belong to actual serial devices. # When get_serial_device_speed results non-zero exit code the device node does not belong to a real serial device. function get_serial_device_speed () { local devnode=$1 test -c $devnode || BugError "get_serial_device_speed() called for '$devnode' which is no character device" # Run it in a subshell so that 'set -o pipefail' does not affect the current shell and # it can run in a subshell because the caller of this function only needs its stdout # cf. the function get_root_disk_UUID in lib/bootloader-functions.sh # so when stty fails the get_serial_device_speed return code is the stty exit code and not the awk exit code. # Therefore one can call get_serial_device_speed with error checking for example like # speed=$( get_serial_device_speed $serial_device ) && COMMAND_WITH_speed || COMMAND_WITHOUT_speed # because the return code of variable=$( PIPE ) is the return code of the pipe # cf. how get_serial_device_speed is called in lib/bootloader-functions.sh # and output/USB/Linux-i386/300_create_extlinux.sh # Suppress stty stderr output because for most /dev/ttyS* device nodes the result is # stty: /dev/ttyS...: Input/output error # when the device node does not belong to an actual serial device (i.e. to real serial hardware) # so get_serial_device_speed is also used to get those device nodes that belong to real serial devices: ( set -o pipefail ; stty -F $devnode 2>/dev/null | awk '/^speed / { print $2 }' ) }